Author Topic: QubeInstaller 2.1-6 maintenance release is available  (Read 650 times)

BrianK

  • Hero Member
  • *****
  • Posts: 107
QubeInstaller 2.1-6 maintenance release is available
« on: June 17, 2016, 06:14:34 PM »
QubeInstaller 2.1-6 maintenance release addresses the following issues:

  • qubeInstaller.exe --upgrade qube_manifest_<version>.qmf  will do a forced upgrade based on the given qmf - even if upgrading to the same version. This effectively does the same thing as qubeInstaller.exe qube-upgrade_<version>.qks, but obviously, no qks needs to exist for the --upgrade option.
  • Fix issue where installer would crash if it couldn't write its kickstart (qks) file.
  • Fix issue where the installer would write a benign "UNKNOWN.plist" file in ~/Library/LaunchAgents when uninstall non-service components
  • Fix issue where supervisor installs would not show the "finished" button because of an internal crash.
  • Put a stopping condition on supervisor discovery which should prevent the occasional slow startup.
  • When installing a second supervisor and changing qb_supervisor/qb_domain via installer dialog, the qb_supervisor setting was being ignored if it was set to localhost or the local loopback.
  • When installing a second supervisor and changing qb_supervisor/qb_domain via installer dialog, the final page would ping the original supervisor and report that as being newly installed.
  • Support for new OSs CentOS 7.2, Ubuntu 16.04.
  • Improved support for OS X 10.10+